Skip to main content
POST
Create a new provider app

Authorizations

X-Api-Key
string
header
required

Path Parameters

projectIdOrName
string
required

The Ampersand project ID or project name.

Body

application/json
provider
string
required

The SaaS provider that this app connects to.

Example:

"salesforce"

clientId
string
required

The OAuth client ID for this app.

Example:

"client-id-123"

clientSecret
string
required

The OAuth client secret for this app.

Example:

"client-secret-123"

externalRef
string

The ID used by the provider to identify the app (optional).

Example:

"external-id-123"

scopes
string[]

The OAuth scopes for this app.

metadata
Provider App Metadata · object

Provider-specific configuration that extends the standard OAuth flow.

Response

The newly created provider app

id
string
required

The provider app ID.

Example:

"provider-app-123"

projectId
string
required

The Ampersand project ID.

Example:

"project-456"

provider
string
required

The SaaS provider that this app connects to.

Example:

"salesforce"

clientId
string
required

The OAuth client ID for this app.

Example:

"client-id-123"

createTime
string<date-time>
required

The time the provider app was created.

externalRef
string

The ID used by the provider to identify the app (optional).

Example:

"external-id-123"

scopes
string[]

The OAuth scopes for this app.

metadata
Provider App Metadata · object

Provider-specific configuration that extends the standard OAuth flow.

updateTime
string<date-time>

The time the provider app was updated.